#!/usr/bin/env perl
use strict;
use warnings;
use feature 'say';

use Pithub;

my $token = 'my_oauth_token';
my $pit = Pithub->new(
    token => $token,
);

my $res = $pit->orgs->members->list(
    org => 'org_name_xxxxx',
    params => {
        role => 'admin',
    },
);
my $members = $res->content;
for my $member (@{$members}) {
    say $member->{login};
}
