# WEB+DB PRESS Vol.122 連載「Perl Hackers Hub」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.122」の連載「Perl Hackers Hub」第67回「GitHub APIによるチーム開発の効率化」（菅井茂樹著）のサンプルコードです。

ファイル名の冒頭にある番号は、紙面での登場順となっています。

GitHub APIで使用するトークン、リポジトリ名、Organization名等は各自の環境に合わせて書き換えてください。

## 検証環境

- Perl 5.32.1
- Pithub 0.01036

## `7_webhook_receiver.psgi` の実行について

plackupでアプリケーションを起動後、

```
$ plackup 7_webhook_receiver.psgi
HTTP::Server::PSGI: Accepting connections at http://0:5000/
```

ngrokで起動中のポート番号を指定します。

```
$ ngrok http 5000
```

出力されたngrokのURLを元に、webhookを受けるエンドポイントである `/payload` を設定してください。

例）
https://xxxxxxxxxxxx.ngrok.io/payload

`Content type` には `application/json` を指定して設定後、GitHub上での操作を行いリクエストを受信できるかテストしてください。
